
Redmine - Defect #13075

Can't clear custom field value through context menu in the issue list

2013-02-04 13:06 - Danil Tashkinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.2.3   

Resolution: Fixed Affected version: 2.2.2

Description

When selecting issue (or multiple issues) in the issue list, right clicking and selecting CUSTOM_FIELD_NAME from the context

menu, click "none" then issue does not change.

I suppose problem is using an empty string instead of "__none__" when calling bulk_update_custom_field_context_menu_link

method.

http://www.redmine.org/projects/redmine/repository/entry/trunk/app/views/context_menus/issues.html.erb#L114

      <% unless field.is_required? %>    

        <li><%= bulk_update_custom_field_context_menu_link(field, l(:label_none), '') %></li>    

      <% end %>

Associated revisions

Revision 11331 - 2013-02-07 19:35 - Jean-Philippe Lang

Fixed: Can't clear custom field value through context menu in the issue list (#13075).

Revision 11333 - 2013-02-07 20:58 - Jean-Philippe Lang

Test failures from r11331 (#13075).

Revision 11363 - 2013-02-12 19:01 - Jean-Philippe Lang

Merged r11331 and r11333 from trunk (#13075).

History

#1 - 2013-02-07 19:36 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.3

- Affected version (unused) changed from devel to 2.2.2

- Resolution set to Fixed

- Affected version set to 2.2.2

Fixed in r11331, thanks for pointing this out.

#2 - 2013-02-12 19:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed
